Loading...
Searching...
No Matches
charcodemap Struct Reference

## Data Fields

wchar_t | key
KeyCode | code
| the letter for this key, like 'a'
KeySym | symbol
| the keycode that this key is on
int | group
| the symbol representing this key
int | modmask
| the keyboard group that has this key in it
int | needs_binding
| the modifiers to apply when sending this key

## Field Documentation

## needs_binding

int charcodemap::needs_binding

the modifiers to apply when sending this key

if this key need to be bound at runtime because it does not exist in the current keymap, this will be set to 1.

The documentation for this struct was generated from the following file:

- xdo.h